﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using My;
using System.Data;

public partial class Tickets_290443_Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        Grid grid = new Grid();
        grid.ID = "Grid2";
        grid.AllowPaging = true;
        grid.PageSize = 5;
        grid.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(Grid_NeedDataSource);
        Grid2Holder.Controls.Add(grid);

        base.OnInit(e);
    }

    protected void Grid_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        (source as Grid).DataSource = SampleData;
    }

    public DataTable SampleData
    {
        get
        {
            if (Session["_data"] == null || !Page.IsPostBack)
            {
                System.Data.DataTable table = new System.Data.DataTable();
                table.Columns.Add("ID", Type.GetType("System.Int32"));
                table.Columns.Add("Name", Type.GetType("System.String"));
                table.Columns.Add("Date", Type.GetType("System.DateTime"));
                table.Columns.Add("Value", Type.GetType("System.Double"));

                Random rand = new Random();

                for (int i = 0; i < 30; i++)
                {
                    table.Rows.Add(i,
                                   "Item " + i.ToString(),
                                   DateTime.Today.AddDays(-10).AddDays(rand.NextDouble() * 20),
                                   rand.NextDouble() * 1000);
                }

                Session["_data"] = table;
            }

            return (DataTable)Session["_data"];
        }
    }
}
